### Home Classes Methods

### In Files

- lib/gtk3/base.rb

### Parent

Object

### Methods

- ::printers

### Class/Module Index

Quicksearch

- Gtk
- Gtk::AboutDialog
- Gtk::Action
- Gtk::Arrow
- Gtk::Assistant
- Gtk::BindingSet
- Gtk::Box
- Gtk::Builder
- Gtk::Button
- Gtk::ButtonBox
- Gtk::Calendar
- Gtk::CellRenderer
- Gtk::CellRendererAccel
- Gtk::CellView
- Gtk::ColorSelectionDialog
- Gtk::ComboBox
- Gtk::Dialog
- Gtk::Drag
- Gtk::FileChooser
- Gtk::FileChooserDialog
- Gtk::FileFilter
- Gtk::HBox
- Gtk::HButtonBox
- Gtk::HPaned
- Gtk::HScale
- Gtk::HScrollbar
- Gtk::HSeparator
- Gtk::IconSet
- Gtk::IconSize
- Gtk::IconTheme
- Gtk::IconView
- Gtk::Image
- Gtk::ImageMenuItem
- Gtk::LinkButton
- Gtk::MenuBar
- Gtk::MenuItem
- Gtk::MenuShell
- Gtk::MenuToolButton
- Gtk::MessageDialog
- Gtk::Notebook
- Gtk::PageSetupUnixDialog
- Gtk::Paned
- Gtk::PaperSize
- Gtk::PrintOperation
- Gtk::PrintSettings
- Gtk::PrintUnixDialog
- Gtk::Printer
- Gtk::ProgressBar
- Gtk::RC
- Gtk::RadioAction
- Gtk::Range
- Gtk::RecentAction
- Gtk::RecentChooser
- Gtk::RecentChooserDialog
- Gtk::RecentFilter
- Gtk::RecentManager
- Gtk::SelectionData
- Gtk::SizeGroup
- Gtk::SpinButton
- Gtk::TextAttributes
- Gtk::TextBuffer
- Gtk::TextIter
- Gtk::TextTag
- Gtk::TextView
- Gtk::ToggleAction
- Gtk::ToolButton
- Gtk::Toolbar
- Gtk::Tooltip
- Gtk::TreeModel
- Gtk::TreeView
- Gtk::TreeViewColumn
- Gtk::UIManager
- Gtk::VBox
- Gtk::VButtonBox
- Gtk::VPaned
- Gtk::VScale
- Gtk::VScrollbar
- Gtk::VSeparator
- Gtk::Widget
- Gtk::Window

No matching classes.

# Gtk::Printer

### Public Class Methods

printers(wait = false) click to toggle source

    # File lib/gtk3/base.rb, line 26
    def self.printers(wait = false)
      printers = []
      self.each(wait) {|v| printers << v}
      printers
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.